typedef float Vector[4];

typedef float Matrix[16];

/* retourne dans res la somme de v1 et v2.
   La coordonnée homogène de res est celle de v1 */
void sumVector (Vector v1, Vector v2, Vector res);

/* retourne le vecteur v1-v2 */
void diffVector (Vector v1, Vector v2, Vector res);

/* normalise le vecteur v */
void normalizeVector (Vector v);

/* retourne dans res le produit vectoriel de v1 par v2 */
void crossProductVector (Vector v1, Vector v2, Vector res);

/* retourne dans res le produit du vecteur v par le scalaire a */
void multFloatVector (float a, Vector v, Vector res);

/* copie le vecteur v dans res */
void copyVector (Vector v, Vector res);
